<div class='container d-flex flex-ai-center flex-jc-center'>
  <div class='inner-container'>
    <form [formGroup]='signupForm' (ngSubmit)='signup()'>
      <h1>Napravi nalog</h1>
      <mat-form-field class='w-100'>
        <mat-label>Korisničko ime</mat-label>
        <input matInput placeholder='Korisničko ime' formControlName='username'>
        <mat-error *ngIf='signupForm.controls.username.invalid'>Korisničko ime je obavezno.</mat-error>
      </mat-form-field>
      <mat-form-field class='w-100'>
        <mat-label>E-mejl</mat-label>
        <input matInput placeholder='Adresa' formControlName='email'>
        <mat-error *ngIf='signupForm.controls.email.invalid'>Adresa je obavezna.</mat-error>
      </mat-form-field>
      <div class='row'>
        <div class='col-6'>
          <mat-form-field class='w-100'>
            <mat-label>Šifra</mat-label>
            <input matInput placeholder='Šifra' formControlName='password'>
            <mat-error *ngIf='signupForm.controls.password.invalid'>Šifra je obavezna.</mat-error>
          </mat-form-field>
        </div>
        <div class='col-6'>
          <mat-form-field class='w-100'>
            <mat-label>Ponovi šifru</mat-label>
            <input matInput type='password' placeholder='Ponovi šifru' formControlName='repeatPassword'>
            <mat-error *ngIf='signupForm.controls.repeatPassword.invalid'>Ponovoljena šifra je obavezna.</mat-error>
          </mat-form-field>
        </div>
      </div>
      <button mat-button mat-raised-button type='submit' color='primary' [disabled]='!signupForm.valid'>Napravi nalog</button>
    </form>
  </div>
</div>
